﻿using System;
using System.IO;
using System.Xml.Serialization;

namespace RipSync.Plugins.Extensions.UST {

    public class Config {
        static private Config instance = null;

        public string FilePath = "";
        
        static public Config GetIncetance() {
            if ( instance == null ) {
                instance = new Config();
            }
            return instance;
        }

        private Config() {
        }

        static public bool Save( string _path ) {
            if ( instance == null ) {
                return true;
            }

            using ( TextWriter writer = new StreamWriter( _path ) ) {
                XmlSerializer serializer = new XmlSerializer( typeof( Config ) );
                serializer.Serialize( writer, instance );
            }
            return true;
        }

        static public bool Load( string _path ) {
            using ( TextReader reader = new StreamReader( _path ) ) {
                XmlSerializer serializer = new XmlSerializer( typeof( Config ) );
                instance = (Config)serializer.Deserialize( reader );
            }
            return true;
        }
    }

}
