using System;
using System.Collections.Generic;

namespace RipSync.Plugins.Extensions.UST {

    public class UstTrack : ICloneable {
        private List<UstEvent> m_events;
        
        public UstTrack(){
            m_events = new List<UstEvent>();
        }
        
        public List<UstEvent> Events{
            get{
                return m_events;
            }
            set{
                m_events = value;
            }
        }
        
        public object Clone(){
            UstTrack ret = new UstTrack();
            for ( int i = 0; i < m_events.Count; i++ ) {
                ret.m_events[i] = (UstEvent)m_events[i].Clone();
            }
            return ret;
        }
    }

}
